// demoSetAutoHideToolBarDlg.cpp : 实现文件
//

#include "stdafx.h"
#include "resource.h"
#include "demoSetAutoHideToolBarDlg.h"
#include "afxdialogex.h"
#include "hwmsdkagent.h"

// demoSetAutoHideToolBarDlg 对话框

IMPLEMENT_DYNAMIC(demoSetAutoHideToolBarDlg, CDialogEx)

demoSetAutoHideToolBarDlg::demoSetAutoHideToolBarDlg(CWnd* pParent /*=NULL*/)
	: CDialogEx(IDD_SET_AUTO_HIDE_TOOLBAR_DIALOG, pParent)
{

}

demoSetAutoHideToolBarDlg::~demoSetAutoHideToolBarDlg()
{
}

void demoSetAutoHideToolBarDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
    DDX_Control(pDX, IDC_IS_AUTO_HIDE, m_isAutoHide);
}


BEGIN_MESSAGE_MAP(demoSetAutoHideToolBarDlg, CDialogEx)
    ON_BN_CLICKED(IDOK, &demoSetAutoHideToolBarDlg::OnBnClickedOk)
END_MESSAGE_MAP()


// demoSetAutoHideToolBarDlg 消息处理程序

void demoSetAutoHideToolBarDlg::OnBnClickedOk()
{
    hwmsdkagent::HwmAutoHideToolBarParam param{};
    param.isAutoHide = m_isAutoHide.GetCheck();
    hwmsdkagent::SetAutoHideToolBar(&param);

    CDialogEx::OnOK();
}
